## ipykernel 4.9.0

=== docs/requirements.txt ===
sphinxcontrib_github_alt

## ipykernel 4.5.2

=== debian/changelog ===
ipykernel (4.5.2-2) unstable; urgency=medium

  * Team upload.
  * Disable the build-time test due to nondeterministic failures.
  * Run the test suite as an autopkgtest

 -- Gordon Ball <gordon@chronitis.net>  Tue, 27 Dec 2016 23:19:40 +0100

ipykernel (4.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add a timeout to the build-time tests until ipykernel#207 is resolved

 -- Gordon Ball <gordon@chronitis.net>  Sun, 04 Dec 2016 13:32:44 +0100

ipykernel (4.5.0-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Tobias Hansen <thansen@debian.org>  Wed, 02 Nov 2016 10:36:31 +0000

ipykernel (4.5.0-2) experimental; urgency=medium

  * Pushed dh compat to 10.
  * Added a patch from Daniel Shahaf to make the build reproducible.

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 02 Oct 2016 14:33:45 +0200

ipykernel (4.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Julien Puydt <julien.puydt@laposte.net>  Tue, 06 Sep 2016 07:49:17 +0200

ipykernel (4.4.1-1) experimental; urgency=medium

  [ Julien Cristau ]
  * Remove build-dependency on python-backports-shutil-get-terminal-size added
    in 4.3.1-2, it's not used.

  [ Julien Puydt ]
  * New upstream release.
  * Added dep on faulthandler, matplotlib and tornado.
  * Reversed the maintainer/uploaders fields.

 -- Julien Puydt <julien.puydt@laposte.net>  Thu, 18 Aug 2016 06:17:48 +0200

ipykernel (4.3.1-2) experimental; urgency=medium

  [ Julien Cristau ]
  * Pre-install python2/python3 kernels for jupyter as part of the package.

  [ Julien Puydt ]
  * Push standards-version up.
  * Add depend on python-backports-shutil-get-terminal-size.

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 22 Jul 2016 21:33:39 +0200

ipykernel (4.3.1-1) experimental; urgency=medium

  * Team upload

  [ Julien Puydt ]
  * Initial release. (Closes: #800936)

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ David Douard ]
  * Update to 4.3.1
  * Add DPMT to Uploaders
  * Bump Standards-Version to 3.9.7

 -- Julien Cristau <jcristau@debian.org>  Fri, 08 Apr 2016 17:41:23 +0200

=== debian/control ===
Source: ipykernel
Uploaders: Julien Puydt <julien.puydt@laposte.net>
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Section: python
Priority: optional
Standards-Version: 3.9.8
Homepage: https://github.com/ipython/ipykernel
Build-Depends: debhelper (>= 10),
               dh-python,
               python,
               python-faulthandler (>= 2.4),
               python-ipython,
               python-jupyter-client,
               python-matplotlib,
               python-mock,
               python-nose,
               python-path,
               python-pickleshare,
               python-setuptools,
               python-tornado,
               python-traitlets,
               python3-all,
               python3-ipython,
               python3-jupyter-client,
               python3-matplotlib,
               python3-mock,
               python3-nose,
               python3-path,
               python3-pickleshare,
               python3-setuptools,
               python3-tornado,
               python3-traitlets
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/ipykernel.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/ipykernel.git

Package: python-ipykernel
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: IPython kernel for Jupyter (Python 2)
 This software component provides an IPython kernel, which will hook
 itself into Jupyter.
 .
 This package installs the library for Python 2.

Package: python3-ipykernel
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: IPython kernel for Jupyter (Python 3)
 This software component provides an IPython kernel, which will hook
 itself into Jupyter.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_TEST_ARGS=-v
export JUPYTER_RUNTIME_DIR=$(CURDIR)/run

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	python -m ipykernel install --prefix=$(CURDIR)/debian/python-ipykernel/usr
	python3 -m ipykernel install --prefix=$(CURDIR)/debian/python3-ipykernel/usr

override_dh_auto_test:
	# the tests sometimes complete, but fail to exit due to threads
	# not being properly cleaned up (see ipykernel#207)

=== debian/tests/control ===
Tests: pytest
Depends: @, python3-pytest, python3-nose, python3-mock, python-pytest, python-nose, python-mock

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/ipykernel/ipykernel-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## ipykernel 4.6.1

=== debian/changelog ===
ipykernel (4.6.1-1) unstable; urgency=medium

  [ Julien Puydt ]
  * New upstream release.
  * Update debian/watch.

  [ Gordon Ball ]
  * New upstream release.
  * Update to Standards-Version 4.0.0 (no changes)
  * Add myself to uploaders in d/control
  * Set X-Python3-Version to >= 3.3
  * Re-enable build-time tests, ipykernel#207 is reported fixed upstream

 -- Gordon Ball <gordon@chronitis.net>  Mon, 24 Jul 2017 22:22:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: ipykernel
-Uploaders: Julien Puydt <julien.puydt@laposte.net>
+Uploaders: Julien Puydt <julien.puydt@laposte.net>,
+           Gordon Ball <gordon@chronitis.net>
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Section: python
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/ipython/ipykernel
 Build-Depends: debhelper (>= 10),
                dh-python,
@@ -31,7 +32,7 @@
                python3-tornado,
                python3-traitlets
 X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.2
+X-Python3-Version: >= 3.3
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/ipykernel.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/ipykernel.git

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,3 @@
 	python -m ipykernel install --prefix=$(CURDIR)/debian/python-ipykernel/usr
 	python3 -m ipykernel install --prefix=$(CURDIR)/debian/python3-ipykernel/usr
 
-override_dh_auto_test:
-	# the tests sometimes complete, but fail to exit due to threads
-	# not being properly cleaned up (see ipykernel#207)

=== debian/watch ===
version=3
https://github.com/ipython/ipykernel/tags .*/archive/([\d\.-]+)\.tar\.gz

## ipykernel 4.8.2

=== debian/changelog ===
ipykernel (4.8.2-2) unstable; urgency=medium

  * Unbreak autopkgtest by restricting where tests are found.

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 23 Feb 2018 22:16:57 +0100

ipykernel (4.8.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one

  [ Julien Puydt ]
  * New upstream release.

 -- Julien Puydt <julien.puydt@laposte.net>  Tue, 20 Feb 2018 00:45:50 +0100

ipykernel (4.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Update to Standards-Version 4.1.3 (no changes)

 -- Gordon Ball <gordon@chronitis.net>  Tue, 06 Feb 2018 15:14:55 +0000

ipykernel (4.7.0-1) unstable; urgency=medium

  [ Gordon Ball ]
  * New upstream release.
  * Update to Standards-Version: 4.1.2 (no changes)
  * Install upstream changelog
  * Remove _asyncio.py shim from python-ipykernel; this uses async/await
    syntax and causes postinstall to fail otherwise, and is only used for
    pytthon 3 testing.

  [ Julien Puydt ]
  * Refresh d/copyright.
  * Bump d/watch to version 4.

 -- Gordon Ball <gordon@chronitis.net>  Wed, 20 Dec 2017 20:30:09 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: https://github.com/ipython/ipykernel
 Build-Depends: debhelper (>= 10),
                dh-python,
@@ -33,8 +33,8 @@
                python3-traitlets
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/ipykernel.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/ipykernel.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/ipykernel.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/ipykernel
 
 Package: python-ipykernel
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,10 @@
 
 override_dh_install:
 	dh_install
+	find $(CURDIR)/debian/python-ipykernel -name _asyncio.py -delete
 	python -m ipykernel install --prefix=$(CURDIR)/debian/python-ipykernel/usr
 	python3 -m ipykernel install --prefix=$(CURDIR)/debian/python3-ipykernel/usr
 
+override_dh_installchangelogs:
+	dh_installchangelogs -k docs/changelog.rst
+

=== debian/watch ===
version=4
https://github.com/ipython/ipykernel/tags .*/archive/([\d\.-]+)\.tar\.gz

## ipykernel 4.9.0

=== debian/changelog ===
ipykernel (4.9.0-1ubuntu1) eoan; urgency=medium

  * Drop build-dependency on removed python-path.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 27 Sep 2019 15:38:29 +0000

ipykernel (4.9.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Julien Puydt ]
  * New upstream release.
  * Refresh packaging:
    - Use my debian.org mail address.
    - Update dates in d/copyright. 
    - Bump dh compat to 11. 
    - Bump std-ver to 4.2.1. 

 -- Julien Puydt <jpuydt@debian.org>  Tue, 04 Sep 2018 07:23:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: ipykernel
-Uploaders: Julien Puydt <julien.puydt@laposte.net>,
+Uploaders: Julien Puydt <jpuydt@debian.org>,
            Gordon Ball <gordon@chronitis.net>
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://github.com/ipython/ipykernel
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python,
                python-faulthandler (>= 2.4),
@@ -15,7 +16,6 @@
                python-matplotlib,
                python-mock,
                python-nose,
-               python-path,
                python-pickleshare,
                python-setuptools,
                python-tornado,
@@ -31,8 +31,6 @@
                python3-setuptools,
                python3-tornado,
                python3-traitlets
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.3
 Vcs-Git: https://salsa.debian.org/python-team/modules/ipykernel.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/ipykernel

## ipykernel 5.1.4

=== debian/changelog ===
ipykernel (5.1.4-1) unstable; urgency=medium

  * New upstream version 5.1.4
  * Update Standards-Version to 4.5.0

 -- Gordon Ball <gordon@chronitis.net>  Fri, 31 Jan 2020 09:39:54 +0000

ipykernel (5.1.3-1) unstable; urgency=medium

  * New upstream version 5.1.3
  * Stop building python-ipykernel from this source package in order to allow
    python3-ipykernel to be updated to the python 3 only 5.x branch. Python
    2.7 support is provided for the time being by the forked source package
    ipykernel-py2 (building the same binary package).
  * The new version fixes issues with python 3.8 (closes: #943901)

 -- Gordon Ball <gordon@chronitis.net>  Tue, 24 Dec 2019 21:34:18 +0000

ipykernel (4.10.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Gordon Ball ]
  * New upstream release.

 -- Gordon Ball <gordon@chronitis.net>  Tue, 12 Nov 2019 19:10:00 +0000

ipykernel (4.9.0-2) unstable; urgency=medium

  [ Gordon Ball ]
  * Drop build-depends on python{,3}-path (from 4.9.0-1ubuntu1)
  * Declare Rules-Requires-Root: no
  * Update Standards-Version to 4.4.0
  * Update debhelper compat level to 12

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Gordon Ball <gordon@chronitis.net>  Wed, 09 Oct 2019 18:06:42 +0000

## ipykernel 5.2.0

=== debian/changelog ===
ipykernel (5.2.0-1) unstable; urgency=medium

  * New upstream release 5.2.0
  * Drop previous backport patch (in release)

 -- Gordon Ball <gordon@chronitis.net>  Sat, 21 Mar 2020 21:27:16 +0000

ipykernel (5.1.4-2) unstable; urgency=medium

  * Backport ipykernel#489 to fix incompatibility with jupyter-client 6.0

 -- Gordon Ball <gordon@chronitis.net>  Fri, 06 Mar 2020 18:41:53 +0000

=== debian/control ===
Source: ipykernel
Uploaders: Julien Puydt <jpuydt@debian.org>,
           Gordon Ball <gordon@chronitis.net>
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Section: python
Priority: optional
Standards-Version: 4.5.0
Homepage: https://github.com/ipython/ipykernel
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-flaky,
               python3-ipython (>= 5.8.0-2~),
               python3-jupyter-client,
               python3-matplotlib,
               python3-mock,
               python3-nose,
               python3-pickleshare,
               python3-pytest,
               python3-setuptools,
               python3-tornado,
               python3-traitlets
Vcs-Git: https://salsa.debian.org/python-team/modules/ipykernel.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/ipykernel
Rules-Requires-Root: no

Package: python3-ipykernel
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: IPython kernel for Jupyter (Python 3)
 This software component provides an IPython kernel, which will hook
 itself into Jupyter.
 .
 This package installs the library for Python 3.

## ipykernel 5.3.4

=== debian/changelog ===
ipykernel (5.3.4-1) unstable; urgency=medium

  * New upstream version 5.3.4.
  * Update team mailing list address.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 03 Aug 2020 17:44:41 +0200

ipykernel (5.3.1-1) unstable; urgency=medium

  * New upstream version 5.3.1

 -- Gordon Ball <gordon@chronitis.net>  Sun, 05 Jul 2020 11:09:08 +0000

ipykernel (5.3.0-1) unstable; urgency=medium

  * New upstream version 5.3.0
  * Debhelper compat 13

 -- Gordon Ball <gordon@chronitis.net>  Wed, 20 May 2020 18:33:55 +0000

ipykernel (5.2.1-1) unstable; urgency=medium

  * New upstream release 5.2.1

 -- Gordon Ball <gordon@chronitis.net>  Fri, 24 Apr 2020 19:41:17 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: ipykernel
 Uploaders: Julien Puydt <jpuydt@debian.org>,
            Gordon Ball <gordon@chronitis.net>
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@alioth-lists.debian.net>
 Section: python
 Priority: optional
 Standards-Version: 4.5.0
 Homepage: https://github.com/ipython/ipykernel
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-flaky,

## ipykernel 5.4.3

=== debian/changelog ===
ipykernel (5.4.3-1) unstable; urgency=medium

  * New upstream version 5.4.3

 -- Gordon Ball <gordon@chronitis.net>  Tue, 12 Jan 2021 18:50:15 +0000

ipykernel (5.4.2-1) unstable; urgency=medium

  * New upstream version 5.4.2

 -- Gordon Ball <gordon@chronitis.net>  Sat, 12 Dec 2020 10:11:28 +0000

ipykernel (5.4.1-1) unstable; urgency=medium

  * New upstream version 5.4.1
  * Drop patch from 5.4.0, applied (promptly) upstream

 -- Gordon Ball <gordon@chronitis.net>  Fri, 11 Dec 2020 21:09:02 +0000

ipykernel (5.4.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Gordon Ball ]
  * New upstream version 5.4.0
  * Rebase patches, patch syntax error in ipykernel/log.py

 -- Gordon Ball <gordon@chronitis.net>  Fri, 11 Dec 2020 12:35:13 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-all,
                python3-flaky,
                python3-ipython (>= 5.8.0-2~),
-               python3-jupyter-client,
+               python3-jupyter-client (>= 6.1.11~),
                python3-matplotlib,
                python3-mock,
                python3-nose,
@@ -20,8 +20,8 @@
                python3-setuptools,
                python3-tornado,
                python3-traitlets
-Vcs-Git: https://salsa.debian.org/python-team/modules/ipykernel.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/ipykernel
+Vcs-Git: https://salsa.debian.org/python-team/packages/ipykernel.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/ipykernel
 Rules-Requires-Root: no
 
 Package: python3-ipykernel

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_TEST_ARGS=-v
export JUPYTER_RUNTIME_DIR=$(CURDIR)/run

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	python3 -m ipykernel install --prefix=$(CURDIR)/debian/python3-ipykernel/usr

override_dh_installchangelogs:
	dh_installchangelogs -k docs/changelog.rst

=== debian/tests/control ===
Tests: pytest
Depends: @, python3-pytest, python3-nose, python3-mock, python3-flaky

=== debian/watch ===
version=4
https://github.com/ipython/ipykernel/tags .*/archive/v?([\d\.-]+)\.tar\.gz

## ipykernel 6.7.0

=== docs/requirements.txt ===
sphinxcontrib_github_alt
myst_parser

=== debian/changelog ===
ipykernel (6.7.0-1) unstable; urgency=medium

  * New upstream version 6.7.0

 -- Gordon Ball <gordon@chronitis.net>  Tue, 25 Jan 2022 19:13:49 +0000

ipykernel (6.6.1-1) unstable; urgency=medium

  * d/watch: allow leading v in version
  * New upstream version 6.6.1
  * Drop test-dependency on python3-nose
  * Standards-Version: 4.6.0

 -- Gordon Ball <gordon@chronitis.net>  Fri, 07 Jan 2022 15:10:32 +0000

ipykernel (6.2.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

  [ Gordon Ball ]
  * New upstream version 6.2.0
  * d/patches: rebase
  * d/control: add b-d on ipyparallel, matplotlib-inline
  * d/rules: update CHANGELOG location
  * d/tests/control: depend on python3-ipyparallel

 -- Gordon Ball <gordon@chronitis.net>  Sat, 06 Nov 2021 19:22:27 +0000

ipykernel (5.5.5-2) unstable; urgency=medium

  * Team upload.
  * debian/control
    - use proper team email address

 -- Sandro Tosi <morph@debian.org>  Wed, 25 Aug 2021 00:07:19 -0400

ipykernel (5.5.5-1) unstable; urgency=medium

  [ Julien Puydt ]
  * Fix d/watch.

  [ Gordon Ball ]
  * New upstream version 5.5.5
  * Rebase patches

 -- Gordon Ball <gordon@chronitis.net>  Sun, 15 Aug 2021 18:02:57 +0000

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: ipykernel
 Uploaders: Julien Puydt <jpuydt@debian.org>,
            Gordon Ball <gordon@chronitis.net>
-Maintainer: Debian Python Modules Team <python-modules-team@alioth-lists.debian.net>
+Maintainer: Debian Python Modules Team <team+python@tracker.debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/ipython/ipykernel
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-flaky,
+               python3-ipyparallel,
                python3-ipython (>= 5.8.0-2~),
                python3-jupyter-client (>= 6.1.11~),
-               python3-matplotlib,
+               python3-matplotlib-inline,
                python3-mock,
-               python3-nose,
                python3-pickleshare,
                python3-pytest,
                python3-setuptools,

=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,4 @@
 	python3 -m ipykernel install --prefix=$(CURDIR)/debian/python3-ipykernel/usr
 
 override_dh_installchangelogs:
-	dh_installchangelogs -k docs/changelog.rst
+	dh_installchangelogs -k CHANGELOG.md

=== debian/tests/control ===
Tests: pytest
Depends: @, python3-pytest, python3-mock, python3-flaky, python3-ipyparallel

## ipykernel 6.15.1

=== debian/changelog ===
ipykernel (6.15.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 13 Jul 2022 20:43:51 +0200

ipykernel (6.15.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 25 Jun 2022 08:19:40 +0200

ipykernel (6.13.1-2) unstable; urgency=medium

  * Unbreak the compilation (Closes: #1011964).

 -- Julien Puydt <jpuydt@debian.org>  Tue, 14 Jun 2022 08:13:29 +0200

ipykernel (6.13.1-1) unstable; urgency=medium

  * New upstream version 6.13.1.
  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 13 Jun 2022 16:37:29 +0200

ipykernel (6.13.0-1) unstable; urgency=medium

  * New upstream version 6.13.0.
  * Refresh patches.
  * Rewrite b-deps (Closes: #1010259).
  * Add patch to fix an asyncio issue.
  * Add strange patch to disable a failing test.
  * Fix autopkgtest deps.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 12 May 2022 12:07:09 +0200

ipykernel (6.9.2-1) unstable; urgency=medium

  * New upstream version 6.9.2
  * New build-dependency: python3-psutil

 -- Gordon Ball <gordon@chronitis.net>  Mon, 14 Mar 2022 19:57:19 +0000

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,29 @@
 Maintainer: Debian Python Modules Team <team+python@tracker.debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/ipython/ipykernel
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
-               python3-flaky,
-               python3-ipyparallel,
+               python3-flaky <!nocheck>,
+               python3-hatchling <!nocheck>,
+               python3-ipyparallel <!nocheck>,
                python3-ipython (>= 5.8.0-2~),
                python3-jupyter-client (>= 6.1.11~),
                python3-matplotlib-inline,
                python3-mock,
+               python3-nest-asyncio,
                python3-pickleshare,
-               python3-pytest,
+               python3-psutil,
+               python3-pytest <!nocheck>,
+               python3-pytest-asyncio (>= 0.18.0) <!nocheck>,
+               python3-pytest-timeout <!nocheck>,
                python3-setuptools,
                python3-tornado,
-               python3-traitlets
+               python3-traitlets,
+               python3-trio
 Vcs-Git: https://salsa.debian.org/python-team/packages/ipykernel.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/ipykernel
 Rules-Requires-Root: no

=== debian/tests/control ===
Tests: pytest
Depends: @, python3-pytest, python3-mock, python3-flaky, python3-ipyparallel, python3-pytest-asyncio, python3-pytest-timeout, python3-trio

## ipykernel 6.17.0

=== debian/changelog ===
ipykernel (6.17.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 07 Nov 2022 17:15:43 +0100

ipykernel (6.16.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 29 Oct 2022 08:49:09 +0200

ipykernel (6.16.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 03 Oct 2022 21:43:02 +0200

ipykernel (6.15.3-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 19 Sep 2022 12:46:19 +0200

ipykernel (6.15.2-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 07 Sep 2022 07:54:37 +0200

ipykernel (6.15.1-2) unstable; urgency=medium

  * Team upload
  * Depend on python3-debugpy (Closes: #1004855)
  * Autopkgtest now tests all supported Python versions

 -- Julian Gilbey <jdg@debian.org>  Thu, 11 Aug 2022 20:36:38 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                dh-python,
                pybuild-plugin-pyproject,
                python3-all,
+               python3-debugpy,
                python3-flaky <!nocheck>,
                python3-hatchling <!nocheck>,
                python3-ipyparallel <!nocheck>,
@@ -33,7 +34,8 @@
 
 Package: python3-ipykernel
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends}
 Description: IPython kernel for Jupyter (Python 3)
  This software component provides an IPython kernel, which will hook
  itself into Jupyter.

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,9 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	python3 -m ipykernel install --prefix=$(CURDIR)/debian/python3-ipykernel/usr
+	find debian/python3-ipykernel -name COPYING.md -delete
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k CHANGELOG.md

=== debian/tests/control ===
Tests: pytest
Depends: python3-all,
         python3-flaky,
         python3-ipyparallel,
         python3-mock,
         python3-pytest,
         python3-pytest-asyncio,
         python3-pytest-timeout,
         python3-trio,
         @

## ipykernel 6.24.0

=== debian/changelog ===
ipykernel (6.24.0-3) unstable; urgency=medium

  * Team upload.
  * *Really* skip test which fails on the buildds but works in a local sbuild

 -- Julian Gilbey <jdg@debian.org>  Wed, 19 Jul 2023 20:16:28 +0100

ipykernel (6.24.0-2) unstable; urgency=medium

  * Team upload.
  * Skip test which fails on the buildds but works in a local sbuild

 -- Julian Gilbey <jdg@debian.org>  Mon, 17 Jul 2023 21:37:04 +0100

ipykernel (6.24.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Julian Gilbey <jdg@debian.org>  Thu, 13 Jul 2023 15:51:09 +0100

ipykernel (6.23.3-3) unstable; urgency=medium

  * Team upload.
  * Put the Breaks clause in the correct place in d/control!

 -- Julian Gilbey <jdg@debian.org>  Thu, 13 Jul 2023 09:26:49 +0100

ipykernel (6.23.3-2) unstable; urgency=medium

  * Team upload.
  * Add Breaks on older nbclient, as the autopkgtests fail otherwise

 -- Julian Gilbey <jdg@debian.org>  Wed, 12 Jul 2023 20:07:59 +0100

ipykernel (6.23.3-1) unstable; urgency=medium

  * Team upload.

  [ Julien Puydt ]
  * New upstream release 6.18.0 (unreleased).

  [ Julian Gilbey ]
  * New upstream release 6.23.3

 -- Julian Gilbey <jdg@debian.org>  Sun, 02 Jul 2023 13:06:28 +0100

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,20 @@
 Maintainer: Debian Python Modules Team <team+python@tracker.debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/ipython/ipykernel
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                pybuild-plugin-pyproject,
                python3-all,
+               python3-comm,
                python3-debugpy,
                python3-flaky <!nocheck>,
-               python3-hatchling <!nocheck>,
+               python3-hatchling,
                python3-ipyparallel <!nocheck>,
                python3-ipython (>= 5.8.0-2~),
                python3-jupyter-client (>= 6.1.11~),
+               python3-jupyter-core (>= 4.12),
                python3-matplotlib-inline,
                python3-mock,
                python3-nest-asyncio,
@@ -26,8 +28,9 @@
                python3-pytest-timeout <!nocheck>,
                python3-setuptools,
                python3-tornado,
-               python3-traitlets,
-               python3-trio
+               python3-traitlets (>= 5.4.0),
+               python3-trio,
+               python3-zmq
 Vcs-Git: https://salsa.debian.org/python-team/packages/ipykernel.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/ipykernel
 Rules-Requires-Root: no
@@ -36,6 +39,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends}
+Breaks: python3-nbclient (<= 0.8.0)
 Description: IPython kernel for Jupyter (Python 3)
  This software component provides an IPython kernel, which will hook
  itself into Jupyter.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE=1
-export PYBUILD_TEST_ARGS=-v
+export PYBUILD_TEST_ARGS=-v -k 'not test_init_ipc_socket'
 export JUPYTER_RUNTIME_DIR=$(CURDIR)/run
 
 %:

## ipykernel 6.29.3

=== debian/changelog ===
ipykernel (6.29.3-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Team Upload
  * New upstream version (Closes: #1056413, #1058305)
  * refresh patches
  * remove ref. to "mock", package uses "unittest.mock"

  [ Emmanuel Arias ]
  * Reorder sequence of d/control fields by cme (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Remove patch fix_asyncio.patch that is missing from
    debian/patches/series.
  * d/salsa-ci.yml: Enable salsa-ci.
  * d/tests/pytest: Update autopgktest to make it work.
  * d/tests/control: Add Restrictions: allow-stderr.

 -- Alexandre Detiste <tchet@debian.org>  Thu, 11 Jan 2024 23:25:38 +0100

## ipykernel 6.29.5

=== debian/changelog ===
ipykernel (6.29.5-2) unstable; urgency=medium

  * Team upload.

  [ Julian Gilbey ]
  * Fix DeprecationWarning (closes: #1088771)
  * Clean more build artefacts (closes: #1047471)

  [ Colin Watson ]
  * Accept Mapping in Kernel.user_ns instead of dict (closes: #1088315).

 -- Colin Watson <cjwatson@debian.org>  Mon, 16 Dec 2024 01:05:02 +0000

ipykernel (6.29.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 08 Jul 2024 11:08:17 +0100

ipykernel (6.29.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add compat with pytest 8 (closes: #1070112).

 -- Colin Watson <cjwatson@debian.org>  Thu, 20 Jun 2024 09:54:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: ipykernel
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>,
            Gordon Ball <gordon@chronitis.net>
-Maintainer: Debian Python Modules Team <team+python@tracker.debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.6.2
-Homepage: https://github.com/ipython/ipykernel
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
                python3-comm,
@@ -15,11 +13,10 @@
                python3-flaky <!nocheck>,
                python3-hatchling,
                python3-ipyparallel <!nocheck>,
-               python3-ipython (>= 5.8.0-2~),
-               python3-jupyter-client (>= 6.1.11~),
+               python3-ipython,
+               python3-jupyter-client,
                python3-jupyter-core (>= 4.12),
                python3-matplotlib-inline,
-               python3-mock,
                python3-nest-asyncio,
                python3-pickleshare,
                python3-psutil,
@@ -31,8 +28,10 @@
                python3-traitlets (>= 5.4.0),
                python3-trio,
                python3-zmq
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/python-team/packages/ipykernel
 Vcs-Git: https://salsa.debian.org/python-team/packages/ipykernel.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/ipykernel
+Homepage: https://github.com/ipython/ipykernel
 Rules-Requires-Root: no
 
 Package: python3-ipykernel

## ipykernel 6.30.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/IPythonKernel.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/IPythonKernel.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/IPythonKernel"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/IPythonKernel"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
ipykernel (6.30.1-1) unstable; urgency=medium

  * Team upload.
  * Copy pyproject.toml into test directory in autopkgtest (closes:
    #1111059).
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 14 Aug 2025 10:41:22 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export JUPYTER_RUNTIME_DIR=$(CURDIR)/run
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 execute_after_dh_install:
 	python3 -m ipykernel install --prefix=$(CURDIR)/debian/python3-ipykernel/usr

=== debian/tests/control ===
Tests: pytest
Depends: python3-all,
         python3-flaky,
         python3-ipyparallel,
         python3-pytest,
         python3-pytest-asyncio,
         python3-pytest-timeout,
         python3-trio,
         @
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)(rc|a|b)/$1~$2/ \
https://github.com/ipython/ipykernel/tags .*/v?([\d.]+)@ARCHIVE_EXT@

## ipykernel 7.1.0

=== debian/changelog ===
ipykernel (7.1.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gordon Ball <gordon@chronitis.net>  Fri, 09 Jan 2026 10:05:23 +0000

ipykernel (7.1.0-1) experimental; urgency=medium

  * New upstream version 7.1.0
  * d/patches: rebase
  * d/control: standards-version 4.7.3, drop rules-requires-root, drop priority
  * d/watch: upgrade to version 5
  * d/control, d/tests: add test dep python3-pytest-cov

 -- Gordon Ball <gordon@chronitis.net>  Fri, 02 Jan 2026 21:53:25 +0000

=== debian/tests/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
          python3-pytest,
          python3-pytest-asyncio,
          python3-pytest-timeout,
+         python3-pytest-cov,
          python3-trio,
          @
 Restrictions: allow-stderr

=== debian/watch ===
Version: 5
Template: GitHub
Owner: ipython
Project: ipykernel
Uversion-mangle: auto
